Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-bytes
Version:    2.4.0
Release:    alt1_5
Summary:    Utility to parse a string bytes to bytes and vice-versa
License:    MIT
URL:        https://github.com/visionmedia/bytes.js
Source0:    http://registry.npmjs.org/bytes/-/bytes-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif
Source44: import.info

%description
%summary

%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bytes
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/bytes

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --check-leaks --reporter spec
%endif


%files
%doc History.md Readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/bytes


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1_5
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_5
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_4
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1_1
- initial import

